FreeMat

- Main Page
- Related Pages

vtkImageSeparableConvolution

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageSeparableConvolution performs a convolution along the X, Y, and Z axes of an image, based on the three different 1D convolution kernels. The kernels must be of odd size, and are considered to be centered at (int)((kernelsize - 1) / 2.0 ). If a kernel is NULL, that dimension is skipped. This filter is designed to efficiently convolve separable filters that can be decomposed into 1 or more 1D convolutions. It also handles arbitrarly large kernel sizes, and uses edge replication to handle boundaries.

To create an instance of class vtkImageSeparableConvolution, simply invoke its constructor as follows

      obj = vtkImageSeparableConvolution

# Methods

The class vtkImageSeparableConvolution has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageSeparableConvolution class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageSeparableConvolution = obj.NewInstance ()`
- `vtkImageSeparableConvolution = obj.SafeDownCast (vtkObject o)`
- `obj.SetXKernel (vtkFloatArray )`
- `vtkFloatArray = obj.GetXKernel ()`
- `obj.SetYKernel (vtkFloatArray )`
- `vtkFloatArray = obj.GetYKernel ()`
- `obj.SetZKernel (vtkFloatArray )`
- `vtkFloatArray = obj.GetZKernel ()`
- `long = obj.GetMTime ()` - Overload standard modified time function. If kernel arrays are modified, then this object is modified as well.